//*****************************************************************************
//*****************************************************************************
//  FILENAME:  ADCINCVR_1.h
//  Version: 4.00, Updated on 2012/9/21 at 11:56:50
//  Generated by PSoC Designer 5.3.2710
//
//  DESCRIPTION:  ADCINCVR User Module C Language interface file.
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress Semiconductor 2012. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef ADCINCVR_1_INCLUDE
#define ADCINCVR_1_INCLUDE

#include <m8C.h>

//-------------------------------------------------
// Defines for ADCINCVR_1 API's.
//-------------------------------------------------

// Power Setting Constants
#define ADCINCVR_1_OFF            0
#define ADCINCVR_1_LOWPOWER       1
#define ADCINCVR_1_MEDPOWER       2
#define ADCINCVR_1_HIGHPOWER      3

// Function Fastcall Pragmas
#pragma fastcall16 ADCINCVR_1_Start
#pragma fastcall16 ADCINCVR_1_SetPower
#pragma fastcall16 ADCINCVR_1_GetSamples
#pragma fastcall16 ADCINCVR_1_StopAD
#pragma fastcall16 ADCINCVR_1_Stop
#pragma fastcall16 ADCINCVR_1_fIsData
#pragma fastcall16 ADCINCVR_1_fIsDataAvailable
#pragma fastcall16 ADCINCVR_1_iGetData
#pragma fastcall16 ADCINCVR_1_iGetDataClearFlag
#pragma fastcall16 ADCINCVR_1_ClearFlag
#pragma fastcall16 ADCINCVR_1_SetResolution

//-------------------------------------------------
// Prototypes of the ADCINCVR_1 API.
//-------------------------------------------------

extern void ADCINCVR_1_Start(BYTE bPower);
extern void ADCINCVR_1_SetPower(BYTE bPower);
extern void ADCINCVR_1_GetSamples(BYTE bNumSamples);
extern void ADCINCVR_1_StopAD(void);
extern void ADCINCVR_1_Stop(void);
extern CHAR ADCINCVR_1_fIsData(void);
extern CHAR ADCINCVR_1_fIsDataAvailable(void);
extern INT  ADCINCVR_1_iGetData(void);
extern INT  ADCINCVR_1_iGetDataClearFlag(void);
extern void ADCINCVR_1_ClearFlag(void);

extern void ADCINCVR_1_SetResolution(BYTE bResolution);

#define ADCINCVR_1_bNUMBITS  0x08

//-------------------------------------------------
// Hardware Register Definitions
//-------------------------------------------------

// Integrator Block Register Definitions
#pragma ioport  ADCINCVR_1_bfAtoDcr0:   0x080
BYTE            ADCINCVR_1_bfAtoDcr0;
#pragma ioport  ADCINCVR_1_bfAtoDcr1:   0x081
BYTE            ADCINCVR_1_bfAtoDcr1;
#pragma ioport  ADCINCVR_1_bfAtoDcr2:   0x082
BYTE            ADCINCVR_1_bfAtoDcr2;
#pragma ioport  ADCINCVR_1_bfAtoDcr3:   0x083
BYTE            ADCINCVR_1_bfAtoDcr3;

// Counter Block Register Definitions
#pragma ioport  ADCINCVR_1_fCounterFN:  0x120
BYTE            ADCINCVR_1_fCounterFN;
#pragma ioport  ADCINCVR_1_fCounterSL:  0x121
BYTE            ADCINCVR_1_fCounterSL;
#pragma ioport  ADCINCVR_1_fCounterOS:  0x122
BYTE            ADCINCVR_1_fCounterOS;
#pragma ioport  ADCINCVR_1_bCount:  0x020
BYTE            ADCINCVR_1_bCount;
#pragma ioport  ADCINCVR_1_bPeriod: 0x021
BYTE            ADCINCVR_1_bPeriod;
#pragma ioport  ADCINCVR_1_bCompare:    0x022
BYTE            ADCINCVR_1_bCompare;
#pragma ioport  ADCINCVR_1_bCounter_CR0:    0x023
BYTE            ADCINCVR_1_bCounter_CR0;


// PWM16 Block Register Definitions
#pragma ioport  ADCINCVR_1_bfPWM_LSB_FN:    0x124
BYTE            ADCINCVR_1_bfPWM_LSB_FN;
#pragma ioport  ADCINCVR_1_bfPWM_MSB_FN:    0x128
BYTE            ADCINCVR_1_bfPWM_MSB_FN;
#pragma ioport  ADCINCVR_1_fPWM_LSB_CR0:    0x027
BYTE            ADCINCVR_1_fPWM_LSB_CR0;
#pragma ioport  ADCINCVR_1_fPWM_MSB_CR0:    0x02b
BYTE            ADCINCVR_1_fPWM_MSB_CR0;
#pragma ioport  ADCINCVR_1_bPWM_Count_MSB:  0x028
BYTE            ADCINCVR_1_bPWM_Count_MSB;
#pragma ioport  ADCINCVR_1_bPWM_Count_LSB:  0x024
BYTE            ADCINCVR_1_bPWM_Count_LSB;
#pragma ioport  ADCINCVR_1_bPWM_Period_MSB: 0x029
BYTE            ADCINCVR_1_bPWM_Period_MSB;
#pragma ioport  ADCINCVR_1_bPWM_Period_LSB: 0x025
BYTE            ADCINCVR_1_bPWM_Period_LSB;
#pragma ioport  ADCINCVR_1_bPWM_IntTime_MSB:    0x02a
BYTE            ADCINCVR_1_bPWM_IntTime_MSB;
#pragma ioport  ADCINCVR_1_bPWM_IntTime_LSB:    0x026
BYTE            ADCINCVR_1_bPWM_IntTime_LSB;
#pragma ioport  ADCINCVR_1_bfPWM_LSB_FN:    0x124
BYTE            ADCINCVR_1_bfPWM_LSB_FN;
#pragma ioport  ADCINCVR_1_bfPWM_MSB_FN:    0x128
BYTE            ADCINCVR_1_bfPWM_MSB_FN;

#endif
// end of file ADCINCVR_1.h
